Bug 73194 - rpm-4.1 segfaults: rpm -Kvv package
rpm-4.1 segfaults: rpm -Kvv package
Product: Red Hat Public Beta
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
: 73662 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-08-31 13:45 EDT by tom georgoulias
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-17 07:45:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tom georgoulias 2002-08-31 13:45:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
I cannot verify the MD5 or GPG signature of an RPM, rpm simply seg faults:
[tomg@gemini rawhide]$ cd /opt/RPMS/rawhide/
[tomg@gemini rawhide]$ ls -ld vte*
-rw-r--r--    1 tomg     tomg       464141 Aug 29 21:52 vte-0.8.11-1.i386.rpm
-rw-r--r--    1 tomg     tomg       464464 Aug 30 21:30 vte-0.8.13-1.i386.rpm
-rw-r--r--    1 tomg     tomg       460675 Aug 26 17:15 vte-0.8.7-1.i386.rpm
[tomg@gemini rawhide]$ rpm -K vte-0.8.11-1.i386.rpm                            
Segmentation fault
[tomg@gemini rawhide]$

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Apply all errata for null
2. rpm -K RPM

Actual Results:  rpm has a segmentation fault

Expected Results:  Srpm should have verified the MD5 sum and GPG signature of a
given RPM.

Additional info:

[tomg@gemini rawhide]$ rpm -qa | grep rpm                                      
Comment 1 Jeff Johnson 2002-08-31 13:50:58 EDT
This is fixed in rpm-4.1-1.04 and later.
Meanwhile, I'm gonna use this as a category bug.
Comment 2 tom georgoulias 2002-09-02 11:13:33 EDT
Are those pkgs available somewhere?  Or should I wait for them to appear in rawhide?
Comment 3 Jeff Johnson 2002-09-02 11:37:58 EDT
Try the Raw Hide packages, I believe the
problem is also fixed there. Meanwhile,
I dunno when rpm packages will be available,
but ftp://ftp.rpm.org/pub/rpm/test-4.1
is a good place to check.
Comment 4 tom georgoulias 2002-09-02 13:36:43 EDT
The rawhide pkgs work (rpm-4.1-1.02 & friends):

[tomg@gemini rawhide]$ rpm -K vte-0.8.13-1.i386.rpm                            
vte-0.8.13-1.i386.rpm: (sha1) dsa sha1 md5 gpg OK
Comment 5 Jeff Johnson 2002-09-17 07:45:13 EDT
*** Bug 73662 has been marked as a duplicate of this bug. ***
Comment 6 Jeff Johnson 2002-09-18 10:48:01 EDT
This problem is fixed in rpm-4.1 final.

Note You need to log in before you can comment on or make changes to this bug.